%global tarball_name w3lib 

Name:           python-w3lib
Version:        1.11.0
Release:        1%{?dist}
Summary:        Library of web-related functions

Group:          Development/Languages
License:        BSD
URL:            https://github.com/scrapy/w3lib
Source0:        https://pypi.python.org/packages/source/w/%{tarball_name}/%{tarball_name}-%{version}.tar.gz
# Usually pypi packages does not include license boilerplate.
# so, I've downloaded it from the project github repository
# wget -N https://raw.githubusercontent.com/scrapy/w3lib/master/LICENSE -O LICENSE-w3lib
Source1:        LICENSE-w3lib
BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools
Requires:       python-six

%description
This is a Python library of web-related functions, such as:
- Remove comments, or tags from HTML snippets
- Extract base url from HTML snippets
- Translate entites on HTML strings
- Encoding mulitpart/form-data
- Convert raw HTTP headers to dicts and vice-versa
- Construct HTTP auth header
- Converting HTML pages to unicode
- RFC-compliant url joining
- Sanitize urls (like browsers do)
- Extract arguments from urls

%prep
%setup -qn %{tarball_name}-%{version}
# Remove bundled egg
rm -rf w3lib.egg-info
# copy LICENSE-w3lib file to sources as well.
cp -a %{SOURCE1} .

%build
%{__python2} setup.py build


%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE-w3lib
%{python2_sitelib}/w3lib/
%{python2_sitelib}/w3lib-*.egg-info


%changelog
* Sun Feb 15 2015 Eduardo Echeverria <echevemaster@gmail.com> - 1.11.0-1
- Updated to new upstream version 

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Sep 09 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.3-2
- Adjusting the spec for Fedora patterns

* Mon Sep 02 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.3-1 
- First version of RPM Package of w3lib
